/*
 * Copyright (C) 2013 - Gareth Llewellyn
 *
 * This file is part of the Unofficial HackedIO Android App https://github.com/NetworksAreMadeOfString/HackedIO-Android-App
 *
 * This app is unofficial. The "Hacked.io" logo is copyright (and maybe even a trademark of) Telefónica UK Limited.
 * The author of this app is not affiliated with Telefónica UK Limited, The Lab ( https://thelab.o2.com/ ) or
 * Geeks of London ( http://geeksoflondon.com/ ) although the author <strong>is</strong> an attendee.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>
 */
package app.hacked;

import java.util.Date;

public class ScheduleItem
{
    public String ID = "0";
    public String Title = "...";
    public Date itemDate = null;
    public String StartDate = "";
    public String EndDate = "";
    public String itemDesc = "What's happening";
    public boolean isDay = false;
    public String fullDetails = "";

    public ScheduleItem(String _ID, String _Title, String _itemStartDate, String _itemEndDate, String _desc, String _isDay, String _fullDetails)
    {
        this.ID = _ID;
        this.Title = _Title;

        this.StartDate = _itemStartDate;
        this.EndDate = _itemEndDate;
        this.itemDesc = _desc;

        if(_isDay.equals("1"))
            this.isDay = true;

        this.fullDetails = _fullDetails;
    }
}
