package app.hacked;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Gareth on 22/06/13.
 */
public class TeamMember implements Parcelable {
    public String Name = "";
    public String GravatarURL = "";

   public TeamMember(String name, String gravatar)
   {
       this.Name = name;
       this.GravatarURL = gravatar;
   }

    @Override
    public int describeContents()
    {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i)
    {
        parcel.writeString(Name);
        parcel.writeString(GravatarURL);
    }

    public static final Parcelable.Creator<TeamMember> CREATOR = new Parcelable.Creator<TeamMember>()
    {
        public TeamMember createFromParcel(Parcel in)
        {
            return new TeamMember(in);
        }

        public TeamMember[] newArray(int size)
        {
            return new TeamMember[size];
        }
    };

    private TeamMember(Parcel in)
    {
        this.Name = in.readString();
        this.GravatarURL = in.readString();
    }
}
