package app.hacked;

import org.json.JSONObject;


public class ChallengeItem
{
    public String ChallengeTitle = "";
    public String ChallengeContent = "";
    public String ChallengeImageURL = "";

    public ChallengeItem(JSONObject json)
    {
        try
        {
            this.ChallengeTitle = json.getString("title");
        }
        catch (Exception e)
        {
            e.printStackTrace();
            this.ChallengeTitle = "Something...";
        }

        try
        {
            this.ChallengeContent = json.getString("content");
        }
        catch (Exception e)
        {
            e.printStackTrace();
            this.ChallengeContent = "No description, weird eh?";
        }

        try
        {
            this.ChallengeImageURL = json.getString("image");
        }
        catch (Exception e)
        {
            e.printStackTrace();
            this.ChallengeImageURL = "/images/logo-text.png";
        }
    }
}
